# Glib::PropertyProxy_WriteOnly< T > Class Template Reference

See PropertyProxy(). More...

Inherits Glib::PropertyProxy_Base.

Collaboration diagram for Glib::PropertyProxy_WriteOnly< T >:
[legend]

List of all members.

## Public Types

typedef T | PropertyType

## Public Member Functions

| PropertyProxy_WriteOnly (ObjectBase* obj, const char* name)
void | set_value (const PropertyType& data)
| Set the value of this property.
void | reset_value ()
| Set the value of this property back to its default value.
PropertyProxy_WriteOnly< T >& | operator= (const PropertyType& data)

## Detailed Description

### template <class T>
class Glib::PropertyProxy_WriteOnly< T >

See PropertyProxy().

This property can be written, but not read, so there is no get_value() method.

## Member Typedef Documentation

template <class T >

typedef T Glib::PropertyProxy_WriteOnly< T >::PropertyType

## Constructor & Destructor Documentation

template <class T >

Glib::PropertyProxy_WriteOnly< T >::PropertyProxy_WriteOnly | ( | ObjectBase* | obj,
|  | const char * | name |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T >

PropertyProxy_WriteOnly<T>& Glib::PropertyProxy_WriteOnly< T >::operator= | ( | const PropertyType& | data | ) | `[inline]`

template <class T >

void Glib::PropertyProxy_WriteOnly< T >::reset_value | ( |  | ) | `[inline]`

Set the value of this property back to its default value.

template <class T >

void Glib::PropertyProxy_WriteOnly< T >::set_value | ( | const PropertyType& | data | ) |

Set the value of this property.

Parameters:

  | data | The new value for the property.

The documentation for this class was generated from the following file:

- glibmm/propertyproxy.h